Class
LocalAlignmentEnumerator
Enumerate local alignments using the Waterman-Eggert algorithm.
This is an abstract base class for the alignment enumeration; the specializations provide the actual implementaiton of banded and unbanded local aligment search.

LocalAlignmentEnumerator

Banded LocalAlignmentEnumerator | Unbanded LocalAlignmentEnumerator

LocalAlignmentEnumerator<TScore, TSpec>
Include Headers
seqan/align.h
Parameters

TScore | The Score type to use. Types: Score
TSpec | Specialization tag.

Specializations

Banded LocalAlignmentEnumerator | Banded enumeration of local alignments using the Waterman-Eggert algorithm.
Unbanded LocalAlignmentEnumerator | Unbanded enumeration of local alignments using the Waterman-Eggert algorithm.

Functions

getScore | Compute next suboptimal local alignment.
nextLocalAlignment | Compute next suboptimal local alignment.

Examples
See the specializations for usage examples.
See Also
localAlignment, Pairwise Local Alignment Algorithms
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56